> ## Documentation Index
> Fetch the complete documentation index at: https://fillout.com/help/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a webhook

> Creates a webhook for a given form

Once subscribed, your webhook will receive submissions in the same format as the entries in the `responses` list from the `/submissions` endpoint.


## OpenAPI

````yaml POST /webhook/create
openapi: 3.0.1
info:
  title: Fillout REST API
  description: A REST API for managing forms, submissions, and webhooks in Fillout
  version: 1.0.0
servers:
  - url: https://api.fillout.com/v1/api
    description: US server
  - url: https://eu-api.fillout.com/v1/api
    description: EU server
security:
  - bearerAuth: []
paths:
  /webhook/create:
    post:
      summary: Create a webhook
      description: Creates a webhook for a given form
      operationId: createWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookRequest'
      responses:
        '200':
          description: Webhook created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWebhookResponse'
components:
  schemas:
    CreateWebhookRequest:
      type: object
      properties:
        formId:
          type: string
          description: >-
            The public identifier of the form for which you want to create a
            webhook
        url:
          type: string
          format: uri
          description: The endpoint where you'd like to listen for submissions
      required:
        - formId
        - url
    CreateWebhookResponse:
      type: object
      properties:
        id:
          type: integer
          description: The webhook ID
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Enter your [Fillout API
        key](https://build.fillout.com/home/settings/developer). Format: Bearer
        <api_key>

````